Galon Cloud
Galon API v1

/builds/{job_id}

Base URL https://api.galon.ai/v1 · export GALON_API_BASE="https://api.galon.ai/v1"

GET /builds/{job_id}

Get a build

API key (Bearer), on the public API endpoint.

Parameters

NameInTypeDescription
job_idpathstring · required

Responses

StatusDescriptionBody
200BuildBuildResponse
403scope_missing (build:read)
404build_not_found

Examples

curl

curl -X GET "$GALON_API_BASE/builds/<job_id>" \
  -H "Authorization: Bearer $GALON_API_KEY"

Node.js (SDK)

import { Galon } from "galon";

const galon = new Galon(process.env.GALON_API_KEY);
const result = await galon.builds.get("<id>");

Python (SDK)

from galon import Galon

galon = Galon()  # reads GALON_API_KEY
result = galon.builds.get("<id>")